Skip to content

List invoices.

GET
/api/web/namespaces/{namespace}/usage/invoices/custom_list
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/usage/invoices/custom_list \
--header 'Authorization: <Authorization>'

Endpoint to list customer invoices.

Examples of this operation.

namespace
required
string

Namespace Namespace filter.

limit
integer format: int32

Maximum number of invoices to return. Invoices are sorted by their issue date.

A successful response.

Media typeapplication/json
List invoice response

Response to list customer’s invoices.

object
invoices
Invoices

List of invoices as per customer request.

Array<object>
Invoice

A single invoice representation.

object
active
Invoice active flag

Indicate whether an invoice is active or not. Active invoices are not finalised and their value can change. Inactive invoices are final and their value cannot change.

boolean format: boolean
amount
Amount

Invoice amount as cents.

string format: int64
<= 1024 characters
currency
Currency

Currency the amount is in.

string
<= 1024 characters
name
Name

Name of the invoice.

string
>= 6 characters <= 1024 characters
period_end
Period end

Invoice period end.

string format: date-time
<= 1024 characters
period_start
Period start

Invoice period start.

string format: date-time
<= 1024 characters
status
string
default: STATUS_UNKNOWN
Allowed values: STATUS_UNKNOWN STATUS_ISSUED STATUS_PENDING STATUS_PAID STATUS_REFUNDED STATUS_CANCELLED OVERDUE
Example
{
"invoices": [
{
"status": "STATUS_UNKNOWN"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example